Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem(False), CreatableItem(False)> _
Public Class CRMEstate_Leads_Immovables_Reservation 'Opciós foglalás ingatlanra, ami automatikusan lejár
    Inherits BaseObject
    Private _CRMEstate_Leads_Immovables As CRMEstate_Leads_Immovables 'Milyen kiválasztott inatlanra
    Private _DateFrom As Date 'Mettől
    Private _DateTo As Date 'Meddig
    Private _ObjectCreated As Date 'Mikor
    Private _UserCreated As User 'Ki csinálta a rekordot
    Private _Task_EntryID As String 'Outlook task EntryID

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Association("CRMEstate_Leads_Immovables-CRMEstate_Leads_Immovables_Reservation", GetType(CRMEstate_Leads_Immovables))> _
    Property CRMEstate_Leads_Immovables As CRMEstate_Leads_Immovables
        Get
            Return _CRMEstate_Leads_Immovables
        End Get
        Set(value As CRMEstate_Leads_Immovables)
            SetPropertyValue("CRMEstate_Leads_Immovables", _CRMEstate_Leads_Immovables, value)
        End Set
    End Property
    Property DateFrom As Date
        Get
            Return _DateFrom
        End Get
        Set(value As Date)
            SetPropertyValue("DateFrom", _DateFrom, value)
        End Set
    End Property
    Property DateTo As Date
        Get
            Return _DateTo
        End Get
        Set(value As Date)
            SetPropertyValue("DateTo", _DateTo, value)
        End Set
    End Property
    <NonCloneable> _
    Property ObjectCreated As Date
        Get
            Return _ObjectCreated
        End Get
        Set(value As Date)
            SetPropertyValue("ObjectCreated", _ObjectCreated, value)
        End Set
    End Property
    <NonCloneable> _
    Property UserCreated As User
        Get
            Return _UserCreated
        End Get
        Set(value As User)
            SetPropertyValue("UserCreated", _UserCreated, value)
        End Set
    End Property
    Property Task_EntryID As String
        Get
            Return _Task_EntryID
        End Get
        Set(value As String)
            SetPropertyValue("Task_EntryID", _Task_EntryID, value)
        End Set
    End Property
End Class
